# LetterCDT::LetterCDTTest2dRender Class Reference

Opengl Render tailored specifically for letterCDT test. It can render these 2d geometry:

- Points
- Circles
- Lines It only supports a material being a configurable emissive color.

More...

`#include <LetterCDTTest2dRender.h>`

List of all members.

## Public Member Functions
| LetterCDTTest2dRender (void)
| Constructor.
| ~LetterCDTTest2dRender (void)
| Destructor.
void | LoadPresetConfiguration (int width, int height)
| Loads a default opengl configuration.
void | BeginFrame (void)
| Begins render frame.
void | SetMaterial (float red, float green, float blue)
| Sets the only material: emissive color.
void | DrawPoints (const std::vector< Point > &points)
| Draws a vector of points in 2d with a fixed point size.
void | DrawLines (const std::vector< Line > &lines)
| Draws a vector of lines in 2d.
void | DrawTriangles (const std::vector< Point > &points, const std::vector< int > &indices)
void | EndFrame (void)
| Ends render frame.

## Detailed Description

Opengl Render tailored specifically for letterCDT test. It can render these 2d geometry:

- Points
- Circles
- Lines It only supports a material being a configurable emissive color.

## Member Function Documentation

void LetterCDTTest2dRender::DrawLines | ( | const std::vector< Line > & | lines | ) |

Draws a vector of lines in 2d.

Parameters:

  | lines | the vector of lines

void LetterCDTTest2dRender::DrawPoints | ( | const std::vector< Point > & | points | ) |

Draws a vector of points in 2d with a fixed point size.

Parameters:

  | points | the vector of points

void LetterCDTTest2dRender::LoadPresetConfiguration | ( | int | width,
|  | int | height |
| ) |  |  |

Loads a default opengl configuration.

Parameters:

  | width | render window width
  | height | render window height

void LetterCDTTest2dRender::SetMaterial | ( | float | red,
|  | float | green,
|  | float | blue |
| ) |  |  |

Sets the only material: emissive color.

Parameters:

  | red | red channel
  | green | green channel
  | blue | blue channel

The documentation for this class was generated from the following files:

- src/letterCdt/LetterCDTTest2dRender.h
- src/letterCdt/LetterCDTTest2dRender.cpp